[config] # FIXME: ~/.config feels unreliable. Use config.home.homeDirectory instead.
reload_on_change = true

[templates.ghostty]
input_path = "~/.config/matugen/templates/ghostty"
output_path = "~/.config/ghostty/themes/matugen"
post_hook = "killall -SIGUSR2 .ghostty-wrappe"

[templates.hyprland]
input_path = "~/.config/matugen/templates/hyprland"
output_path = "~/.config/hypr/matugen.conf"
post_hook = "hyprctl reload"

[templates.waybar]
input_path = "~/.config/matugen/templates/waybar"
output_path = "~/.config/waybar/matugen.css"
post_hook = "killall -SIGUSR2 .waybar-wrapped"

[templates.starship]
input_path = "~/.config/matugen/templates/starship"
output_path = "~/.config/starship.toml"

[templates.walker]
input_path = "~/.config/matugen/templates/walker"
output_path = "~/.config/walker/themes/nixos/style.css"

[templates.pywalfox]
input_path = '~/.config/matugen/templates/firefox'
output_path = '~/.cache/wal/colors.json'
post_hook = 'pywalfox update'

[templates.cava]
input_path = "~/.config/matugen/templates/cava"
output_path = "~/.config/cava/config"
post_hook = "pkill -USR1 cava"

[templates.gtk3]
input_path = "~/.config/matugen/templates/gtk3"
output_path = "~/.config/gtk-3.0/colors.css"

[templates.gtk4]
input_path = "~/.config/matugen/templates/gtk4"
output_path = "~/.config/gtk-4.0/colors.css"

[templates.hyprlock]
input_path = "~/.config/matugen/templates/hyprlock"
output_path = "~/.config/hypr/hyprlock-colors.conf"

[templates.mako]
input_path = "~/.config/matugen/templates/mako"
output_path = "~/.config/mako/config"
post_hook = "makoctl reload"

[templates.vicinae]
input_path = "~/.config/matugen/templates/vicinae"
output_path = "~/.local/share/vicinae/themes/matugen.toml"
post_hook = "vicinae theme set matugen"
